Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Class DHPKCS11Parameters

    java.lang.Object
      java.security.AlgorithmParametersSpi
          com.ibm.crypto.pkcs11impl.provider.DHPKCS11Parameters

    public final class DHPKCS11Parameters

extends java.security.AlgorithmParametersSpi

This class implements the parameter set used by the Diffie-Hellman key agreement as defined in the PKCS #3 standard.

Constructor Summary
`DHPKCS11Parameters(java.security.Provider provider)` Constructs a new instance of this class.

Method Summary
`protected byte[]` | `engineGetEncoded()`
`protected byte[]` | `engineGetEncoded(java.lang.String format)`
`protected
`<T extends java.security.spec.AlgorithmParameterSpec> T`
` | `engineGetParameterSpec(java.lang.Class<T> paramSpec)`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
`protected void` | `engineInit(byte[] params)`
`protected void` | `engineInit(byte[] params, java.lang.String format)`
`protected java.lang.String` | `engineToString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHPKCS11Parameters

    public DHPKCS11Parameters(java.security.Provider provider)

  Constructs a new instance of this class.

Method Detail

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                       throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(byte[] params)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineInit

    protected void engineInit(byte[] params,
                              java.lang.String format)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineGetParameterSpec

    protected <T extends java.security.spec.AlgorithmParameterSpec> T engineGetParameterSpec(java.lang.Class<T> paramSpec)
                                                                                  throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineGetEncoded

    protected byte[] engineGetEncoded()
                               throws java.io.IOException

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String format)
                               throws java.io.IOException

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineToString

    protected java.lang.String engineToString()

  Specified by:
    `engineToString` in class `java.security.AlgorithmParametersSpi`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD